using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp5
{
    class Program
    {
        static void Main(string[] args)
        {
            long V = Convert.ToInt64(Console.ReadLine());
            int br = Convert.ToInt32(Math.Floor(Math.Log10(V) + 1));    //Brojac Cifara
            int[] cifre = new int[br];
            int novcanice = 0;

            for (int i = 0; i < br; i++)                                // Ponavlja Br Puta Da Odredi Sve Cifre
            {
                cifre[i] = Convert.ToInt32(V % 10);                     //Pise Sve Cifre U Niz
                V /= 10;                                                //Deli Sa 10 Da Bi Se Uklonila Zadnja Cifra
            }
            for (int i = 0; i < br; i++)
            {
                if (cifre[i] == 5 || cifre[i] == 2 || cifre[i] == 1)
                    novcanice += 1;
                else if (cifre[i] == 3 || cifre[i] == 4 || cifre[i] == 6 || cifre[i] == 7)
                    novcanice += 2;
                else if (cifre[i] == 8 || cifre[i] == 9)
                    novcanice += 3;
                else
                    novcanice += 0;
            }
            Console.WriteLine(novcanice);
        }
    }
}